### Class

# Foundry DiagnosticFix

#### Description [src]

    final class Foundry.DiagnosticFix : GObject.Object
    {
      /* No available fields */
    }

Represents a fix that may be applied to resolve a diagnostic.

#### Ancestors

- GObject

#### Instance methods

###### foundry_diagnostic_fix_dup_description

No description available.

since: 1.1

###### foundry_diagnostic_fix_list_text_edits

Gets the list of changes to be applied to fix the diagnostic.

since: 1.1

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Foundry.DiagnosticFix:description

No description available.

###### Foundry.DiagnosticFix:text-edits

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FoundryDiagnosticFixClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.